import pygame as pg

pg.init()
pg.display.set_caption("Koordinate")
(sirina, visina) = (350, 250)
prozor = pg.display.set_mode((sirina, visina))

#Početnu poziciju postavljamo u gornji levi ugao
x = 0
y = 0

def crtaj():
    prozor.fill(pg.Color("white"))
    font = pg.font.SysFont("Arial", 30)
    poruka = "Koordinate su: ("+str(x)+","+str(y)+")"
    tekst = font.render(poruka, True, pg.Color("purple"))
    # određujemo veličinu tog teksta (da bismo mogli da ga centriramo)
    (sirinaT, visinaT) = (tekst.get_width(), tekst.get_height())
    # položaj određujemo tako da tekst bude centriran
    (tekstX, tekstY) = ((sirina - sirinaT)/2, (visina - visinaT)/2)
    # prikazujemo sličicu na odgovarajućem mestu na ekranu
    prozor.blit(tekst, (tekstX, tekstY))

def novi_frejm():
    global x, y
    # određivanje pozicije miša
    (x, y) = pg.mouse.get_pos()
      
kraj = False
sat = pg.time.Clock()  # sat koji određuje broj frejmova u sekundi
while not kraj:
    # crtamo i ažuriramo sadržaj prozora
    crtaj()
    pg.display.update()
       
    # proveravamo da li je korisnik isključio prozor
    for dogadjaj in pg.event.get():
        if dogadjaj.type == pg.QUIT:
            kraj = True
        
    # pauziramo do sledeceg frejma
    sat.tick(50)
    novi_frejm()

pg.quit() # isključujemo rad biblioteke PyGame
